### Function

# Gcr trust_is_certificate_anchored

#### Declaration [src]

    gboolean
    gcr_trust_is_certificate_anchored (
      GcrCertificate* certificate,
      const gchar* purpose,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Check if the `certificate` is a trust anchor for the given `purpose`. A trust anchor is used to verify the signatures on other certificates when verifying a certificate chain. Also known as a trusted certificate authority.

This call may block, see `gcr_trust_is_certificate_anchored_async()` for the non-blocking version.

In the case of an error, `FALSE` is also returned. Check `error` to detect if an error occurred.

#### Parameters

`certificate` | `GcrCertificate`
| A `GcrCertificate` to check.
| The data is owned by the caller of the function.
`purpose` | `const gchar*`
| The purpose string.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`cancellable` | `GCancellable`
| A `GCancellable`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` if the certificate is a trust anchor.